package com.muyu.vehicle.event.client.config;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * kafka配置 KafKaConfig
 *
 * @author Yangle
 * Date 2024/6/14 17:11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Configuration
@ConfigurationProperties(prefix = "kafka")
public class KafKaConfig {

    /**
     * 主题
     */
    private String topic;

    /**
     * 分区
     */
    private Integer partition;

    public String queueName(){
        return topic + "-" + partition;
    }
}
